For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
    • Account Members
    • Account Usage Beta
    • AI Configs
    • Announcements
    • Applications Beta
    • Approvals
    • Approvals Beta
    • Audit Log
    • Code References
    • Contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
    • Environments
    • Experiments
    • Feature Flags
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
    • Follow Flags
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
      • PUTAssociate repositories with projects
      • GETList repositories
      • DELRemove repository project association
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
    • Integrations Beta
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
    • Persistent Store Integrations Beta
    • Projects
    • Relay Proxy Configurations
    • Release Pipelines Beta
    • Releases Beta
    • Scheduled Changes
    • Segments
    • Tags
    • Teams
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
    • Workflows
    • Workflow Templates
    • Other
Sign inTry it free
LogoLogo
REST API overviewInsights Repositories Beta

Associate repositories with projects

PUT
/api/v2/engineering-insights/repositories/projects
PUT
/api/v2/engineering-insights/repositories/projects
$curl -X PUT https://app.launchdarkly.com/api/v2/engineering-insights/repositories/projects \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "mappings": [
> {
> "repositoryKey": "launchdarkly/LaunchDarkly-Docs",
> "projectKey": "default"
> }
> ]
>}'
1{
2 "totalCount": 1,
3 "items": [
4 {
5 "repositoryKey": "launchdarkly/LaunchDarkly-Docs",
6 "projectKey": "default"
7 }
8 ],
9 "_links": {}
10}
Associate repositories with projects
Was this page helpful?
Previous

List repositories

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Request

This endpoint expects an object.
mappingslist of objectsRequired

Response

Repositories projects response
totalCountinteger
Total number of repository project associations
itemslist of objects
List of repository project associations
_linksmap from strings to objects
The location and content type of related resources

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error